Subject: Re: [PATCH v2 1/2] sequencer: extract revert message formatting into shared function

From: "Kristoffer Haugsbakk" <[email-masked]>
Date: Wed, 11 Feb 2026 16:23:22 +0100

On Wed, Feb 11, 2026, at 14:03, Toon Claes wrote:
>>>[snip]
>>> In replay.c, we always use the full OID via `oid_to_hex()` since it's
>>> designed for non-interactive server-side operations without the
>>> `replay_opts` framework.
>
> Even if it's non-interactive, I wonder if we should make it obey the
> config 'revert.reference' as well? To me it makes sense git-replay(1)
> and git-revert(1) give the same outcome if that config is set.

I don’t understand the position on plumbing commands. Should plumbing
commands ignore user configs so that results don’t change based on that?
Or should implementers that use this command set the config files to
`/dev/null` in order to opt out of the behavior?

>[snip]